/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.OrgRole;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class FacilityUser extends RelMgmt.Party.OrgRole {
    public Vector assessRequestToPlanRatio() {
        return new Vector();
    }

    public Vector assessRequestToActualRatio() {
        return new Vector();
    }

    public Vector listFacilityUseRequests() {
        return new Vector();
    }

    public Vector listPlannedFacilityUse() {
        return new Vector();
    }

    public Vector listActualFacilityUse() {
        return new Vector();
    }

    public Vector listFacilityProblems() {
        return new Vector();
    }

    public Vector listFacilityMaintRequests() {
        return new Vector();
    }

    /**
     *@clientCardinality 1
     *@supplierCardinality 0..*
     * @supplierQualifier all,current
     */
    private FacilityMgmt.FacilityUse.FacilityUse lnkUnnamed1;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private FacilityMgmt.FacilityUse.FacilityUseRequest lnkUnnamed;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private FacilityMgmt.FacilityMaintenance.FacilityProblem lnkUnnamed2;

    /**
     * @clientCardinality 1
     * @supplierCardinality 0..*
     */
    private FacilityMgmt.FacilityMaintenance.FacilityMaintRequest lnkUnnamed3;
}


